org.apache.fop.cli

## Class IFInputHandler

- java.lang.Object
- - org.apache.fop.cli.InputHandler
  - - org.apache.fop.cli.IFInputHandler

All Implemented Interfaces:
  ErrorListener, Renderable

    public class IFInputHandler
    extends InputHandler

InputHandler for the intermediate format XML as input.

### Field Summary

### Fields inherited from class org.apache.fop.cli.InputHandler

`log, sourcefile`

### Constructor Summary

Constructors
Constructor and Description
`IFInputHandler(File iffile)` Constructor for intermediate input
`IFInputHandler(File xmlfile, File xsltfile, Vector params)` Constructor for XML->XSLT->intermediate XML input

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `renderTo(FOUserAgent userAgent, String outputFormat, OutputStream out)` Generate a document, given an initialized Fop object

### Methods inherited from class org.apache.fop.cli.InputHandler

`createCatalogResolver, createMainSource, createXSLTSource, error, fatalError, renderTo, transformTo, transformTo, warning`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### IFInputHandler

    public IFInputHandler(File xmlfile,
                          File xsltfile,
                          Vector params)

Constructor for XML->XSLT->intermediate XML input

Parameters:
  `xmlfile` - XML file
  `xsltfile` - XSLT file
  `params` - Vector of command-line parameters (name, value, name, value, ...) for XSL stylesheet, null if none

#### IFInputHandler

    public IFInputHandler(File iffile)

Constructor for intermediate input

Parameters:
  `iffile` - the file to read the intermediate format document from.

### Method Detail

#### renderTo

    public void renderTo(FOUserAgent userAgent,
                         String outputFormat,
                         OutputStream out)
                  throws FOPException

Generate a document, given an initialized Fop object

Overrides:
  `renderTo` in class `InputHandler`
Parameters:
  `userAgent` - the user agent
  `outputFormat` - the output format to generate (MIME type, see MimeConstants)
  `out` - the output stream to write the generated output to (may be null if not applicable)
Throws:
  `FOPException` - in case of an error during processing